Bug 477513 - After recent upgrade, konsole lost all settings, default term not functional
After recent upgrade, konsole lost all settings, default term not functional
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-21 08:06 EST by Amit Shah
Modified: 2009-01-13 09:59 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-13 09:59:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amit Shah 2008-12-21 08:06:51 EST
Description of problem:
After a recent upgrade, konsole forgot all settings: the tab bar wasn't shown, scrollbar went to the left of the konsoles, scrollback history was set to 'don't remember' and the worst of them all, the term isn't functional at all:

$ dmesg | less
WARNING: terminal is not fully functional
-  (press RETURN)


$ cat $TERM
cat: dumb: No such file or directory


Setting the terminal type to the other values (Linux, DEC VT420, etc.) also doesn't change anything.


No ncurses based apps function normally (powertop, mutt, make menuconfig for the kernel, to name a few).

This works from a console, so it's just konsole (or something that it depends on).


$ rpm -q kdebase
kdebase-4.1.3-2.fc10.x86_64
Comment 1 Rex Dieter 2008-12-21 17:08:49 EST
I can't reproduce, I have
$ echo $TERM
xterm

According to your /var/log/yum.log, what was most recently updated?
Comment 2 Amit Shah 2008-12-22 02:27:48 EST
$ cat /var/log/yum.log
Dec 18 19:46:36 Installed: libgsasl-0.2.27-1.fc10.x86_64
Dec 18 19:46:37 Installed: msmtp-1.4.16-1.fc10.x86_64
Dec 20 18:27:08 Updated: bash-3.2-30.fc10.x86_64
Dec 20 18:27:09 Updated: freetype-2.3.7-2.fc10.x86_64
Dec 20 18:27:10 Updated: mesa-dri-drivers-7.2-0.15.fc10.x86_64
Dec 20 18:27:11 Updated: mesa-libGL-7.2-0.15.fc10.x86_64
Dec 20 18:27:11 Updated: mesa-libGLU-7.2-0.15.fc10.x86_64
Dec 20 18:27:16 Updated: gtk2-2.14.5-3.fc10.x86_64
Dec 20 18:27:17 Updated: 12:libdhcp4client-4.0.0-33.fc10.x86_64
Dec 20 18:27:17 Updated: libical-0.41-1.fc10.x86_64
Dec 20 18:27:18 Updated: glx-utils-7.2-0.15.fc10.x86_64
Dec 20 18:27:19 Updated: iscsi-initiator-utils-6.2.0.870-1.0.fc10.x86_64
Dec 20 18:27:20 Updated: shared-mime-info-0.51-5.fc10.x86_64
Dec 20 18:27:21 Updated: 12:dhclient-4.0.0-33.fc10.x86_64
Dec 20 18:27:27 Updated: mesa-libGL-devel-7.2-0.15.fc10.x86_64
Dec 20 18:27:27 Updated: xorg-x11-server-common-1.5.3-6.fc10.x86_64
Dec 20 18:27:42 Updated: selinux-policy-3.5.13-34.fc10.noarch
Dec 20 18:28:01 Updated: selinux-policy-targeted-3.5.13-34.fc10.noarch
Dec 20 18:28:02 Updated: mesa-libGLU-devel-7.2-0.15.fc10.x86_64
Dec 20 18:28:03 Updated: freetype-devel-2.3.7-2.fc10.x86_64
Dec 20 18:28:05 Updated: yum-3.2.20-5.fc10.noarch
Dec 20 18:28:05 Updated: 1:dbus-libs-1.2.4-2.fc10.x86_64
Dec 20 18:28:06 Updated: 1:dbus-1.2.4-2.fc10.x86_64
Dec 20 18:28:08 Updated: xorg-x11-server-Xorg-1.5.3-6.fc10.x86_64
Dec 20 18:28:08 Updated: PolicyKit-0.9-4.fc10.x86_64
Dec 20 18:28:09 Updated: xorg-x11-drv-ati-6.9.0-62.fc10.x86_64
Dec 20 18:28:10 Updated: 1:dbus-devel-1.2.4-2.fc10.x86_64
Dec 20 18:28:11 Updated: 1:dbus-x11-1.2.4-2.fc10.x86_64

$ cat .kde/share/apps/konsole/Shell.profile
[Appearance]
ColorScheme=Linux
Font=Monospace,7,-1,5,50,0,0,0,0,0

[General]
Icon=utilities-terminal
LocalTabTitleFormat=%d
Name=Shell
Parent=/home/amit/.kde/share/apps/konsole/Shell.profile
RemoteTabTitleFormat=%h : %u
TabBarMode=1

[Keyboard]
KeyBindings=default

[Scrolling]
HistoryMode=2
ScrollBarPosition=1
Comment 3 Amit Shah 2008-12-24 08:11:37 EST
Where does konsole store the default term setting? If I can modify that, I'll be able to use konsole without always doing 'export TERM=xterm'
Comment 4 Steven M. Parrish 2009-01-10 08:58:51 EST
Ping.  Anyone have an answer?
Comment 5 Rex Dieter 2009-01-10 10:00:42 EST
Dunno.

Unerstand bz is not a support forum.  Waiting for support questions here indefinitely isn't the best way forward.  Better alternatives include:
1 kde mailing lists (even fedora-kde)
2 irc #kde or #fedora-kde, 
3 forums: fedoraforum and forum.kde.org to get questions answered.
Comment 6 Amit Shah 2009-01-11 00:00:35 EST
In any case, the bug still exists and I have to export the term variable each time I spawn a new shell.
Comment 7 Robert Knight 2009-01-11 21:13:53 EST
The default TERM setting is hard-coded into Konsole as 'xterm'.  It will only appear in the config file (under General/Environment) if the environment settings for a profile are changed.

Try commenting out the 'Parent=' line in the [General] section of your 
Shell.profile config file.  I think that is stopping Konsole from loading the default settings.
Comment 8 Amit Shah 2009-01-13 00:04:37 EST
Wow, commenting out the Parent line worked! Thanks.

BTW, any idea why that line got added?
Comment 9 Robert Knight 2009-01-13 08:49:43 EST
No, I'm afraid not.  Very likely a bug in Konsole that this line ended up in the config file.  I've committed a fix to 4.2 and KDE trunk upstream in case it happens either automatically or as a result of the user manually editing the config file.

(r.910519 in case packagers are interested)
Comment 10 Rex Dieter 2009-01-13 09:59:06 EST
Thanks Robert, we'll pick it up on next release.

Note You need to log in before you can comment on or make changes to this bug.